#!/bin/sh

if [ $1 ]
then
	infodir=$1
else
	infodir=/var/lib/dpkg/info/
fi

if [ -e /targets/links/scratchbox.config ]
then
	. /targets/links/scratchbox.config
fi

for package in $infodir/*.list
do
	for file in `cat $package`
	do
		pack=`echo $package|sed -e 's,.*/,,' -e 's/\.list//'`
		if [ -f "$SBOX_TARGET_DIR/$file" -o -L "$SBOX_TARGET_DIR/$file" ]
		then
			echo -n $pack,\"$file\",
			stat "$SBOX_TARGET_DIR/$file" --format=%s
		fi
	done 
done
	
